## ros-jazzy-image-rotate 5.0.1

=== debian/changelog ===
ros-jazzy-image-rotate (5.0.1-3bookworm) bookworm; urgency=high

  * fix image publisher remapping (#941 <https://github.com/ros-perception/image_pipeline/issues/941>)
    Addresses #940 <https://github.com/ros-perception/image_pipeline/issues/940> - fixes the compressed/etc topic remapping for publishers
  * unified changelog, add missing image, deduplicate tutorials (#938 <https://github.com/ros-perception/image_pipeline/issues/938>)
    Last bit of documentation updates - putting together a single changelog
    summary for the whole release (rather than scattering among packages).
    Unified the camera_info tutorial so it isn't duplicated. Added a missing
    image from image_rotate (was on local disk, but hadn't committed it)
  * add docs for image_rotate/publisher (#936 <https://github.com/ros-perception/image_pipeline/issues/936>)
  * Contributors: Michael Ferguson

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 25 Mar 2024 23:00:00 -0000

ros-jazzy-image-rotate (5.0.0-3bookworm) bookworm; urgency=high

  * Removed cfg files related with ROS 1 parameters (#911 <https://github.com/ros-perception/image_pipeline/issues/911>)
    Removed cfg files related with ROS 1 parameters
  * image_rotate: clean up (#862 <https://github.com/ros-perception/image_pipeline/issues/862>)
    This is the first component/node with a cleanup pass to be fully
    implemented:
    * Fix #740 <https://github.com/ros-perception/image_pipeline/issues/740> by initializing vectors. Do this by declaring parameters
    AFTER we define the callback
    * Implement lazy subscribers (I missed this in the earlier PRs)
    * Add image_transport parameter so we can specify that desired transport
    of our subscriptions
    * Update how we test for connectivity (and update the debug message -
    has nothing to do with whether we are remapped, it's really about
    whether we are connected)
  * load image_rotate::ImageRotateNode as component (#855 <https://github.com/ros-perception/image_pipeline/issues/855>)
    This is a fixed version of #820 <https://github.com/ros-perception/image_pipeline/issues/820> - targeting rolling
  * add myself as a maintainer (#846 <https://github.com/ros-perception/image_pipeline/issues/846>)
  * Contributors: Alejandro Hernández Cordero, Michael Ferguson

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 23 Jan 2024 23:00:00 -0000

ros-jazzy-image-rotate (3.0.1-3bookworm) bookworm; urgency=high

  * Replace deprecated headers
    Fixing compiler warnings.
  * Contributors: Jacob Perron

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 03 Dec 2022 23:00:00 -0000

ros-jazzy-image-rotate (3.0.0-3bookworm) bookworm; urgency=high

  * Cleanup the image_rotate package.
  * Replace deprecated geometry2 headers
  * revert a293252
  * Replace deprecated geometry2 headers
  * Add maintainer (#667 <https://github.com/ros-perception/image_pipeline/issues/667>)
  * Contributors: Chris Lalancette, Jacob Perron, Patrick Musau

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 28 Apr 2022 22:00:00 -0000

ros-jazzy-image-rotate (2.2.1-3bookworm) bookworm; urgency=high

  * remove email blasts from steve macenski (#596 <https://github.com/ros-perception/image_pipeline/issues/596>)
  * [Foxy] Use ament_auto Macros (#573 <https://github.com/ros-perception/image_pipeline/issues/573>)
  * Contributors: Joshua Whitley, Steve Macenski

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 26 Aug 2020 22:00:00 -0000

ros-jazzy-image-rotate (2.2.0-3bookworm) bookworm; urgency=high

  * Replacing deprecated header includes with new HPP versions. (#566 <https://github.com/ros-perception/image_pipeline/issues/566>)
  * Use newer 'add_on_set_parameters_callback' API (#562 <https://github.com/ros-perception/image_pipeline/issues/562>)
    The old API was deprecated in Foxy and since removed in https://github.com/ros2/rclcpp/pull/1199.
  * Contributors: Jacob Perron, Joshua Whitley
  * Initial ROS2 commit.
  * Contributors: Michael Carroll

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 26 Jul 2020 22:00:00 -0000

ros-jazzy-image-rotate (1.12.23-3bookworm) bookworm; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 09 May 2018 22:00:00 -0000

ros-jazzy-image-rotate (1.12.22-3bookworm) bookworm; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 07 Dec 2017 23:00:00 -0000

ros-jazzy-image-rotate (1.12.21-3bookworm) bookworm; urgency=high

  * [image_rotate] Added TF timeout so that transforms only need to be newer than last frame. (#293 <https://github.com/ros-perception/image_pipeline/issues/293>)
  * Contributors: mhosmar-cpr

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 04 Nov 2017 23:00:00 -0000

ros-jazzy-image-rotate (1.12.20-3bookworm) bookworm; urgency=high

  * Fix CMake warnings about Eigen.
  * address gcc6 build error
    With gcc6, compiling fails with stdlib.h: No such file or directory,
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129.
    This commit addresses this issue for this package in the same way
    it was addressed in various other ROS packages. A list of related
    commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * Contributors: Lukas Bulwahn, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 29 Apr 2017 22:00:00 -0000

ros-jazzy-image-rotate (1.12.19-3bookworm) bookworm; urgency=high

  * Fix frames if it is empty to rotate image
  * Contributors: Kentaro Wada

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 23 Jul 2016 22:00:00 -0000

ros-jazzy-image-rotate (1.12.18-3bookworm) bookworm; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 11 Jul 2016 22:00:00 -0000

ros-jazzy-image-rotate (1.12.17-3bookworm) bookworm; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 10 Jul 2016 22:00:00 -0000


